## cppman 0.5.9+dfsg

=== requirements.txt ===
beautifulsoup4==4.13.3
bs4==0.0.2
html5lib==1.1
lxml==5.3.2
six==1.17.0
soupsieve==2.6
typing_extensions==4.13.1
webencodings==0.5.1

## cppman 0.4.1

=== debian/changelog ===
cppman (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #734457)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sun, 19 Oct 2014 20:54:20 +0800

=== debian/control ===
Source: cppman
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.7)
Standards-Version: 3.9.6
Homepage: https://github.com/aitjcize/cppman/
X-Python-Version: >= 2.7

Package: cppman
Architecture: all
Depends: ${misc:Depends},
         python (>= 2.7),
         bsdmainutils,
         groff-base
Recommends:
         less
Description: C++ 98/11 manual pages for Linux, with source from cplusplus.com
 cppman is a tool to download C++ 98/11 manual from cplusplus.com. It creates a
 similar interface to the man command, and provides syntax highlight, hyperlink
 features.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_fixperms:
	dh_fixperms
	# The executable bit is cleaned during build process, so we need set
	# them again.
	find debian/cppman -name *.sh -print0 | xargs --null chmod a+x

override_dh_auto_install:
	dh_auto_install
	# Fix extra-license-file
	-rm -f debian/cppman/usr/share/doc/cppman/COPYING

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/c/cppman/cppman-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cppman 0.4.2

=== debian/changelog ===
cppman (0.4.2-2) unstable; urgency=medium

  * Merge to unstable
  * Use dh-python

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Mon, 27 Apr 2015 12:20:44 +0800

cppman (0.4.2-1) experimental; urgency=medium

  * New upstream release
  * Add Vcs-*
  * Update debian/watch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Thu, 19 Feb 2015 15:24:11 +0800

=== debian/control ===
Source: cppman
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.7),
Standards-Version: 3.9.6
Homepage: https://github.com/aitjcize/cppman/
Vcs-Git: git://anonscm.debian.org/collab-maint/cppman.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cppman.git
X-Python-Version: >= 2.7

Package: cppman
Architecture: all
Depends: ${misc:Depends},
         python (>= 2.7),
         bsdmainutils,
         groff-base,
Recommends:
         less,
Description: C++ 98/11 manual pages for Linux, with source from cplusplus.com
 cppman is a tool to download C++ 98/11 manual from cplusplus.com. It creates a
 similar interface to the man command, and provides syntax highlight, hyperlink
 features.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3
https://github.com/aitjcize/cppman/releases /aitjcize/cppman/archive/?(\d\S*).tar.gz

## cppman 0.4.5

=== debian/changelog ===
cppman (0.4.5-1) unstable; urgency=medium

  * New upstream release
  * Change to Python 3 as upstream now using Python 3.
  * Remove upstream already applied patch.

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Wed, 01 Jul 2015 18:48:45 +0800

cppman (0.4.2-3) unstable; urgency=medium

  * Fix manpage typo (Closes: #786510)
  * Fix duplicate changelogs (Closes: #786511)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 22 May 2015 22:25:44 +0800

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.7),
+               python3-all (>= 3.3),
 Standards-Version: 3.9.6
 Homepage: https://github.com/aitjcize/cppman/
 Vcs-Git: git://anonscm.debian.org/collab-maint/cppman.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cppman.git
-X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 
 Package: cppman
 Architecture: all
 Depends: ${misc:Depends},
-         python (>= 2.7),
+         ${python3:Depends},
+         python3-bs4,
          bsdmainutils,
          groff-base,
 Recommends:

## cppman 0.4.6

=== debian/changelog ===
cppman (0.4.6-1ubuntu1) xenial; urgency=medium

  * Override the python3 shebang, until dh_python3 gets fixed.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2015 23:53:32 +0200

cppman (0.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Change Section to doc.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Oct 2015 12:18:48 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: cppman
-Section: python
+Section: doc
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all (>= 3.3),

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_fixperms:
 	dh_fixperms
@@ -15,5 +18,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	# Fix extra-license-file
+	# Fix extra-license-file and changelog
 	-rm -f debian/cppman/usr/share/doc/cppman/COPYING
+	-rm -f debian/cppman/usr/share/doc/cppman/ChangeLog

## cppman 0.4.8

=== debian/changelog ===
cppman (0.4.8-3) unstable; urgency=medium

  * Add patch to fix wrong comparison operator in bash.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 25 Apr 2016 01:14:14 +0800

cppman (0.4.8-2) unstable; urgency=medium

  * Add Depends python3-html5lib.
  * Bump Standards-Version to 3.9.8.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 24 Apr 2016 21:30:27 +0800

cppman (0.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 24 Apr 2016 21:02:23 +0800

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all (>= 3.3),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/aitjcize/cppman/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cppman.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cppman.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cppman.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cppman.git
 X-Python3-Version: >= 3.3
 
 Package: cppman
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-bs4,
          bsdmainutils,
          groff-base,
+         python3-bs4,
+         python3-html5lib,
 Recommends:
          less,
 Description: C++ 98/11 manual pages for Linux, with source from cplusplus.com

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/cppman/cppman-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cppman 0.4.9+dfsg1

=== debian/changelog ===
cppman (0.4.9+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.2.1.
  * Bump compat to 11.
  * Add debian/upstream/metadata.
  * Use sqlite3 dump to create index.db for DFSG.
  * Remove unused patch.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 30 Aug 2018 12:11:55 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python3-all (>= 3.3),
-Standards-Version: 3.9.8
+               sqlite3,
+Standards-Version: 4.2.1
 Homepage: https://github.com/aitjcize/cppman/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cppman.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cppman.git
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/python-team/applications/cppman.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/cppman
 
 Package: cppman
 Architecture: all

## cppman 0.5.0+dfsg1

=== debian/changelog ===
cppman (0.5.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Set Rules-Requires-Root to no.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 30 Sep 2019 10:03:49 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all (>= 3.3),
                sqlite3,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/aitjcize/cppman/
 Vcs-Git: https://salsa.debian.org/python-team/applications/cppman.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/cppman

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,13 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_configure:
+	cat ${CURDIR}/debian/index.sql | sqlite3 ${CURDIR}/cppman/lib/index.db
+	dh_auto_configure
+
+override_dh_clean:
+	dh_clean ${CURDIR}/cppman/lib/index.db
 
 override_dh_fixperms:
 	dh_fixperms

## cppman 0.5.3+dfsg1

=== debian/changelog ===
cppman (0.5.3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.5.1.
  * Bump compat to 13.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Jun 2021 18:20:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: cppman
 Section: doc
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all (>= 3.3),
                sqlite3,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/aitjcize/cppman/
-Vcs-Git: https://salsa.debian.org/python-team/applications/cppman.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/cppman
+Vcs-Git: https://salsa.debian.org/python-team/packages/cppman.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cppman
 
 Package: cppman
 Architecture: all

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1 \
https://pypi.debian.net/cppman/cppman-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cppman 0.5.4%2Bdfsg1

=== debian/watch ===
version=3
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://pypi.debian.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## cppman 0.5.4+dfsg1

=== debian/changelog ===
cppman (0.5.4+dfsg1-2) unstable; urgency=medium

  * Update index.sql to latest format (Closes: #995477).
  * Simplify d/watch.
  * Add d/lintian-overrides for repeated-path-segment.
  * Update d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Jan 2023 10:06:49 +0800

cppman (0.5.4+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.5.3+dfsg1-1.

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.1.
  * Update Depends (Closes: #964534).
  * Update d/copyright.
  * Add gbp.conf.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 09 Nov 2022 00:12:12 +0800

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all (>= 3.3),
+               python3-all,
                sqlite3,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/aitjcize/cppman/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cppman.git
@@ -17,8 +17,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         bsdmainutils,
          groff-base,
+         man-db,
          python3-bs4,
          python3-html5lib,
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
+	# Upstream has prebuilt index.db, which does not compliance with DFSG. We rebuilt it here.
 	cat ${CURDIR}/debian/index.sql | sqlite3 ${CURDIR}/cppman/lib/index.db
 	dh_auto_configure

## cppman 0.5.6%2Bdfsg

=== debian/changelog ===
cppman (0.5.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 22 Jun 2023 00:19:42 +0800

## cppman 0.5.6+dfsg

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all,
                sqlite3,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/aitjcize/cppman/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cppman.git

## cppman 0.5.7+dfsg

=== debian/changelog ===
cppman (0.5.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add explicit build-dep on python3-setuptools (Closes: #1080899)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 06 Feb 2025 07:45:54 +0100

cppman (0.5.7+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.5.7+dfsg

 -- Luana Soares <luana.soares0901@gmail.com>  Wed, 31 Jul 2024 22:24:32 -0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               sqlite3,
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-setuptools,
+ sqlite3,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/aitjcize/cppman/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cppman.git

## cppman 0.5.9+dfsg

=== debian/changelog ===
cppman (0.5.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Patch-out spurious dependency on python3-six
  * Drop "Rules-Requires-Root: no": it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Nov 2025 23:17:08 +0100

cppman (0.5.9+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.9+dfsg.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/watch: Upgrade to version 5.
  * d/gbp.conf: Remove gbp.conf.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 09 Nov 2025 00:43:35 +0800

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  python3-all,
  python3-setuptools,
  sqlite3,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/aitjcize/cppman/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cppman.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cppman

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	# Upstream has prebuilt index.db, which does not compliance with DFSG. We rebuilt it here.
	cat ${CURDIR}/debian/index.sql | sqlite3 ${CURDIR}/cppman/lib/index.db
	dh_auto_configure

override_dh_clean:
	dh_clean ${CURDIR}/cppman/lib/index.db

execute_after_dh_fixperms:
	# The executable bit is cleaned during build process, so we need set
	# them again.
	find debian/cppman -name *.sh -print0 | xargs --null chmod a+x

execute_after_dh_auto_install:
	# Fix extra-license-file and changelog
	-rm -f debian/cppman/usr/share/doc/cppman/COPYING
	-rm -f debian/cppman/usr/share/doc/cppman/ChangeLog

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/c/@PACKAGE@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: auto
Repacksuffix: +dfsg
